Main Page Widgets Namespaces Book

#
[Unicode Manipulation]

## Functions

double | strtod (const std::string& str)
| Converts a string to a `double` value.
double | strtod (const std::string& str, std::string::size_type& end_index, std::string::size_type start_index=0)
| Converts a string to a `double` value.
std::string | dtostr (double d)
| Converts a `double` to a string, using the `'.'` as decimal point.
bool | isalnum (char c)
bool | isalpha (char c)
bool | iscntrl (char c)
bool | isdigit (char c)
bool | isgraph (char c)
bool | islower (char c)
bool | isprint (char c)
bool | ispunct (char c)
bool | isspace (char c)
bool | isupper (char c)
bool | isxdigit (char c)
char | tolower (char c)
char | toupper (char c)
int | digit_value (char c)
int | xdigit_value (char c)

## Function Documentation

int digit_value | ( | char | c | ) | `[inline]`

bool isalnum | ( | char | c | ) | `[inline]`

bool isalpha | ( | char | c | ) | `[inline]`

bool iscntrl | ( | char | c | ) | `[inline]`

bool isdigit | ( | char | c | ) | `[inline]`

bool isgraph | ( | char | c | ) | `[inline]`

bool islower | ( | char | c | ) | `[inline]`

bool isprint | ( | char | c | ) | `[inline]`

bool ispunct | ( | char | c | ) | `[inline]`

bool isspace | ( | char | c | ) | `[inline]`

bool isupper | ( | char | c | ) | `[inline]`

bool isxdigit | ( | char | c | ) | `[inline]`

char tolower | ( | char | c | ) | `[inline]`

char toupper | ( | char | c | ) | `[inline]`

int xdigit_value | ( | char | c | ) | `[inline]`